Retrieve a video
Retrieve a Hailuo video task through the platform Video Generations API.
Use the task ID returned by the create endpoint to retrieve its status and result. A task can be queued, processing, successful, or failed.
GET
/v1/video/generations/{task_id}Use the Task ID returned by the create endpoint to retrieve a Hailuo video task. The root response object contains code, message, and data; task fields are in data.
Authorization
bearerAuth AuthorizationBearer <token>
Use Bearer your-api-key in the Authorization Header.
In: header
Path Parameters
task_id*string
Task ID returned when the Hailuo video task was created.
Length
1 <= lengthResponse Body
application/json
application/json
application/json